﻿namespace curring_funcs


module Functions =
    // Functions in F#
    let f1 (x: float) (y: float) = x + y

    let f1p1 = f1 1.0
    
    let f1p2 y = f1 1.0 y

    // Generic function in .NET
    let f2 (x: float, y: float) = x + y

    let f2p (y: float) = f2 (1.0, y)

module Output =
    let ShowValue (value: float) (prefix: string)=
        printfn $"%30s{prefix}: %-f{value}"


    let ShowType (value: obj) (prefix: string)=
        printfn $"%30s{prefix}: %-A{value.GetType()}"